{% extends "base.html" %}
{% block style %}
<link rel="stylesheet" href="{{ url_for('static',filename='css/profil.css') }}">
<link rel="stylesheet" href="{{ url_for('static',filename='css/profil_modif.css') }}">

{% endblock %}

{% block main %}

<section class="d-flex flex-column align-items-center edt">

    <h1> {{titre}} </h1>
    <div class = "deux_div">
        <div class = "infos">
            <h4> Mes informations </h4>
            <div>
                <form action="{{ url_for('modif_profile_post')}}" method="POST" id = form-1>
                <ul>
                    <input type="hidden" name="id" value="{{user.id}}">
                    <li><label><b> Nom :</b>  </label> <input type="text" class = "form-control" name = "nom" value="{{user.nom}}" ></li>
                    <li><label><b> Prenom :</b>  </label> <input type="text" class = "form-control" name = "prenom" value="{{user.prenom}}" ></li>
                    {% if current_user.role != "Implenteur" %}
                        <li><label><b> identifiant :</b></label> <input type="text" class = "form-control" name = "login" value="{{user.login}}" disabled> </li>
                        <li><label><b> Rôle :</b></label> <input type="text" class = "form-control" name = "role" value="{{user.role}}" disabled> </li>
                    {% else %}
                        <li><label><b> identifiant :</b></label> <input type="text" class = "form-control" name = "login" value="{{user.login}}"> </li>
                        <li><label><b> Rôle :</b></label> <input type="text" class = "form-control" name = "role" value="{{user.role}}"> </li>
                    {% endif %}
                    <li><label><b> Email :</b></label> <input type="text" class = "form-control" name = "mail" value="{{user.mail}}"> </li>
                    <li><label><b> Mot de passe :</b></label> <input type="text" class = "form-control" name = "password"> </li>
                    <li><label><b> Confirmation :</b></label> <input type="text" class = "form-control" name = "confirmpass"> </li>

                </ul>
                </form>
            </div>
        </div>
    
        <div class = "projets">
            <h4> Mes projets </h4>
            <ul>
                {% for projet in projets %}
                <li>
                    <p> {{projet.intitule}} </p>
                    <button class="btn btn-danger"> Quitter </button>
                </li>
                {% endfor %}
            </ul>
            
        </div>
    </div>
    <form action="{{url_for('supression_profile_post')}}" method="POST" id = "form-2">
        <input type="hidden" name="id" value="{{user.id}}">
    </form>
    <div class = "div_bouton">
        <button class = "btn btn-primary" type="submit"  form="form-1"> Valider </button>
        <button class = "btn btn-danger" type = "submit" form = "form-2"> Supprimer </button>
    </div> 
    

</section>


{% endblock %}